/**
 * @category Services/serializer/normalizer
 * @class Default
 * Classe assurant la normalization par défaut
 */
class FileNormalizer {
  /**
   * On transforme les data en FormData et on les renvois
   * @return {any} réponse
   * @param data
   * @param file
   */
  public static normalize (data: any, file: string): any {
    // TODO : intégrer au FileManager
    const fileData = new FormData();
    for(const key in data){
      fileData.set(key, data[key])
    }

    fileData.set('file', file as string)
    return fileData
  }
}
export default FileNormalizer
